---
layout: handbook-page-toc
title: "Plan Stage"
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

### Plan
{: #welcome}

Plan teams:

- [Plan:Project Management Team](/handbook/engineering/development/dev/plan-project-management/)
- [Plan:Product Planning Team](/handbook/engineering/development/dev/plan/product-planning/)
- [Plan:Optimize Team](/handbook/engineering/development/dev/plan/optimize/)
- [Plan:Knowledge Team](/handbook/engineering/development/dev/plan/knowledge/)

The responsibilities of this collective team are described by the [Plan stage](/handbook/product/categories/#plan-stage). Among other things, this means
working on GitLab's functionality around issues, issue boards, milestones, to-do list, issue lists and filtering, roadmaps, time tracking, requirements management, and notifications.

- I have a question. Who do I ask?

In GitLab issues, questions should start by @ mentioning the Product Manager for the [corresponding Plan stage group](/handbook/product/categories/#plan-stage). GitLab team-members can also use [#s_plan](https://gitlab.slack.com/messages/C72HPNV97).

For UX questions, @ mention the Product Designers on the Plan stage; [Nick Leonard](https://gitlab.com/nickleonard) for Plan:Project Management, [Nick Brandt](https://gitlab.com/nickbrandt) for Plan:Product Planning, [Jacki Bauer](https://gitlab.com/jackib) for Plan:Knowledge and [Libor Vanc](https://gitlab.com/lvanc) for Plan:Optimize.

### How we work

- In accordance with our [GitLab values](/handbook/values/).
- Transparently: nearly everything is public, we record/livestream meetings whenever possible.
- We get a chance to work on the things we want to work on.
- Everyone can contribute; no silos.
- We do an optional, asynchronous daily stand-up in [#s_plan_standup](https://gitlab.slack.com/messages/CF6QWHRUJ).

### Workflow

We work in a continuous Kanban manner while still aligning with Milestones and [GitLab's Product Development Flow](/handbook/product-development-flow/).

#### Capacity Planning

When we're planning capacity for a future release, we consider the following:

1. Availability of the teams during the next release. (Whether people are out of the office, or have other demands on their time coming up.)
1. Work that is currently in development but not finished.
1. Historical delivery (by weight) per group.

The first item gives us a comparison to our maximum capacity. For instance, if the team has four people, and one of them is taking half the month off, then we can say the team has 87.5% (7/8) of its maximum capacity.

The second item is challenging and it's easy to understimate how much work is left on a given issue once it's been started, particularly if that issue is blocking other issues. We don't currently re-weight issues that carry over (to preserve the original weight), so this is fairly vague at present.

The third item tells us how we've been doing previously. If the trend is downwards, we can look to discuss this in our [retrospectives](#retrospectives).

Subtracting the carry over weight (item 2) from our expected capacity (the product of items 1 and 3) should tell us our capacity for the next release.

##### Historical capacity

<%= partial("handbook/engineering/development/dev/plan/historical_capacity") %>

#### Issues

Issues have the following lifecycle. The colored circles above each workflow stage represents the emphasis we place on collaborating across the entire lifecycle of an issue; and that disciplines will naturally have differing levels of effort required dependent upon where the issue is in the process. If you have suggestions for improving this illustration, you can leave comments directly on the [whimsical diagram](https://whimsical.com/2KEwLADzCJdDfPAb2CULk4).

![plan-workflow-example.png](plan-workflow-example.png)

Everyone is encouraged to move issues to different workflows if they feel they belong somewhere else. In order to keep issues constantly refined, when moving an issue to a different workflow stage, please review any open discussions within the issue and update the description with any decisions that have been made. This ensures that descriptions are [laid out clearly](https://about.gitlab.com/handbook/values/#say-why-not-just-what), keeping with our value of Transparency.

#### Epics

If an issue is `> 3 weight`, it should be promoted to an epic (quick action) and split it up into multiple issues. It's helpful to add a task list with each task representing a vertical feature slice (MVC) on the newly promoted Epic. This enables us to practice "Just In Time Planning" by creating new issues from the task list as there is space downstream for implementation. When creating new vertical feature slices from an epic, please remember to add the appropriate labels - `devops::plan`, `group::*`, `Category:*` or `feature label`, and the appropriate `workflow stage label` - and attach all of the stories that represent the larger epic. This will help capture the larger effort on the roadmap and make it easier to schedule.

#### Themes

A small number of high priority features will be chosen as 'themes' for a period of time. Themes provide an opportunity for the whole team to rally around a deliverable, even if they don't contribute directly to it. These items are given especially close attention by all those involved with a view to delivering small iterations and keeping work unblocked. There should never be more than two themes in progress at a time per team.

- A Slack channel is created with the convention #f_[feature name].
- An epic hierarchy is created with sub-epics mapping to iterations, each achievable within a milestone.
- Iterations are broken into multiple issues that can be accomplished independently, and PMs schedule those as normal.
- Other actions may be established, such as regular 'office hours' calls.

Team-members work together to continuously refine the iterations as complexity is revealed.

Examples of successful themes:

1. **Requirements Management** ([#f_requirements-management](https://app.slack.com/client/T02592416/CUEQBQ7K8), [Epic](https://gitlab.com/groups/gitlab-org/-/epics/2703))
1. **Jira Importer** ([#f_jira-importer](https://app.slack.com/client/T02592416/CUS6GB2JH), [Epic](https://gitlab.com/groups/gitlab-org/-/epics/2738))

#### Roadmap Organization

``` mermaid
graph TD;
  A["devops::plan"] --> B["group::*"];
  B --> C["Category:*"];
  B --> D["non-category feature"];
  C --> E["maturity::minimal"];
  C --> F["maturity::viable"];
  C --> G["maturity::complete"];
  C --> H["maturity::lovable"];
  E--> I["Iterative Epic(s)"];
  F--> I;
  G --> I;
  H --> I;
  D --> I;
  I--> J["Issues"];
```

### Talking With Customers

In a perfect world, we would have cross-functional representation in every conversation we have with customers. To help work towards realizing this, anyone who is scheduling a call with a customer via sales, conducting usabiity reasearch, or generally setting up a time to speak with customers or prospects is encouraged to add [the Plan Customer Interviews calender](https://calendar.google.com/calendar/u/0/embed?src=gitlab.com_5icpbg534ot25ujlo58hr05jd0@group.calendar.google.com) as an invitee to the event. This will automatically populate the shared calendar with upcoming customer and user iteractions. All team members are welcome and encouraged to join -- even if it's just to listen in and get context.

You can subscribe to the calendar and invite it as a participant in a customer meeting that you are scheduling using the URL [gitlab.com_5icpbg534ot25ujlo58hr05jd0@group.calendar.google.com](mailto:gitlab.com_5icpbg534ot25ujlo58hr05jd0@group.calendar.google.com).

### Board Refinement

We perform many board refinement tasks asynchronously, using GitLab issues
in the [Plan project]. The policies for these issues are defined in
[triage-ops/policies/plan-stage]. Some of these issues use supplemental
boards:

1. [Plan backend / frontend check][befecheck] - engineering managers
check that issues on the current milestone have ~backend and
~frontend labels correctly assigned. If they don't, they won't show
up on a team's build board.
1. [Plan group check][groupcheck] - engineering managers check that
issues on the current milestone have a group label. Again, if they
don't, they won't show up on a group-specific build board.

Other issues just define that, for instance, anything in or to the left
of ~"workflow::ready for development" should be moved as a milestone
comes to a close. A full list of refinement issues is available by
[filtering by the ~"Plan stage refinement" label][refinement-issues].

[Plan project]: https://gitlab.com/gitlab-org/plan
[triage-ops/policies/plan-stage]: https://gitlab.com/gitlab-org/quality/triage-ops/tree/master/policies/plan-stage
[befecheck]: https://gitlab.com/groups/gitlab-org/-/boards/1134263
[groupcheck]: https://gitlab.com/groups/gitlab-org/-/boards/1383681
[refinement-issues]: https://gitlab.com/gitlab-org/plan/issues?label_name%5B%5D=Plan+stage+refinement

### Tracking Committed Work for an Upcoming Release

While we operate in a continuous Kanban manner, we want to be able to report on and communicate if an issue or epic is on track to be completed by a Milestone's due date. To provide insight and clarity on status we will leverage [Issue/Epic Health Status](https://docs.gitlab.com/ee/user/project/issues/index.html#health-status) on priority issues.

At the beginning of the Milestone, Product and Engineering Managers will assign the 'On Track' status to agreed-upon priority issues. As the Milestone progresses, anyone contributing to the work should update the Health Status as appropriate to surface risk or concerns as quickly as possible, and to jumpstart collaboration on getting an issue back to "On Track".

#### Health Status Definitions for Plan :

- _On Track_ - We are confident this issue will be completed and live for the current milestone
- _Needs Attention_ - There are concerns, new complexity, or unanswered questions that if left unattended will result in the issue missing its targeted release. Collaboration needed to get back On Track
- _At Risk_ - The issue in its current state will not make the planned release and immediate action is needed to rectify the situation

#### Flagging Risk is not a Negative

We feel it is important to document and communicate, that changing of any item's Health Status to "Needs Attention" or "At Risk" is not a negative action or something to be cause anxiety or concern. Raising risk early helps the team to respond and resolve problems faster and should be encouraged.

### OKRs

#### Active Quarter OKRs

FY24-Q2 Stage-level Objectives are available [here](https://gitlab.com/gitlab-com/gitlab-OKRs/-/issues/?sort=created_date&state=opened&label_name%5B%5D=devops%3A%3Aplan&label_name%5B%5D=division%3A%3AEngineering&not%5Blabel_name%5D%5B%5D=group%3A%3A%2a&type%5B%5D=objective&milestone_title=FY24-Q2&first_page_size=100).

```mermaid
flowchart LR
    POKR1[<strong>Dev + Analytics - Deliver on high priority product roadmap items</strong> <br> Dev Sub-Department Objective] -.- OKR1
    OKR1[<strong>Deliver on high priority Plan product roadmap items</strong> <br> Plan Stage Objective] --> 1KR1(<strong>Integrate VSM into Dashboards</strong><br> Optimize Group Key Result)
    OKR1 --> KR2(<strong>Deliver Clickhouse Value Stream Analytics</strong><br> Optimize Group Key Result)
    style POKR1 fill:#f6f6f6,stroke:#bbb,stroke-width:1px,color:#bbb
    click OKR1 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3028"
    click 1KR1 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2985"
    click 1KR2 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2983"
    click POKR1 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2982"

    POKR2[<strong>Dev: Improve Frontend Engineering Efficency</strong> <br> Dev Sub-Department Objective] -.- OKR2
    OKR2[<strong>Be Competitive in Performance of Plan Features</strong> <br> Plan Stage Objective] --> 2KR1(<strong>Complete the refactoring of boards to use Vue Apollo</strong><br> Product Planning Group Key Result)
    OKR2 --> 2KR2(<strong>Roll out a WebSocket connection on the Issue List page</strong><br> Project Management Group Key Result)
    OKR2 --> 2KR3(<strong>Optimistically render assigned issues from the cache</strong><br> Project Management Group Key Result)
    OKR2 --> 2KR4(<strong>Determine if Elastic will suffice as a datastore for analytical queries</strong><br> Optimize Group Key Result)
    style POKR2 fill:#f6f6f6,stroke:#bbb,stroke-width:1px,color:#bbb
    click OKR2 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2358"
    click 2KR1 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2374"
    click 2KR2 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2375"
    click 2KR3 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2376"
    click 2KR4 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2703"
    click POKR2 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2029"

    POKR3[<strong>Dev: Improve Frontend Engineering Efficency</strong> <br> Dev Sub-Department Objective] -.- OKR3
    OKR3[<strong>Deliver 13 AI Features</strong> <br> Plan Stage Objective] --> 3KR1(<strong>Deliver 4 AI Features for Product Planning</strong><br> Product Planning Group Key Result)
    OKR3 --> 3KR2(<strong>Deliver 4 AI Features for Project Management</strong><br> Project Management Group Key Result)
    OKR3 --> 3KR3(<strong>Deliver 3 AI Features</strong><br> Optimize Group Key Result)
    OKR3 --> 3KR4(<strong>Deliver 2 AI Features</strong><br> Knowledge Group Key Result)
    style POKR3 fill:#f6f6f6,stroke:#bbb,stroke-width:1px,color:#bbb
    click OKR3 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2028"
    click 3KR1 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2597"
    click 3KR2 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2598"
    click 3KR3 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2599"
    click 3KR4 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2600"

    POKR4[<strong>No current Parent</strong> <br> No higher-level Objective] -.- OKR4
    OKR4[<strong>Improve Engineering Efficiency in Plan</strong> <br> Plan Stage Objective] --> 4KR1(<strong>Reduce Time Spent in Broken Master through Flaky Tests</strong><br> SEM Key Result)
    OKR4 --> 4KR2(<strong>Implement RCA for regressions in key features</strong><br> SEM Key Result)
    OKR4 --> 4KR3(<strong>Add seeding data scripts to our definition of done.</strong><br> Optimize Group Key Result)
    OKR4 --> 4KR4(<strong>Retroactively create seed scripts for all features </strong><br> Optimize Group Key Result)
    style POKR4 fill:#f6f6f6,stroke:#bbb,stroke-width:1px,color:#bbb
    click OKR4 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2355"
    click 4KR1 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2365"
    click 4KR2 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2368"
    click 4KR3 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2549"
    click 4KR4 href "https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2697"
```

#### Previous Quarter OKRs

FY24-Q1 Stage-level Objectives are available [here](https://gitlab.com/gitlab-com/gitlab-OKRs/-/issues/?sort=created_date&state=opened&type%5B%5D=objective&label_name%5B%5D=devops%3A%3Aplan&label_name%5B%5D=division%3A%3AEngineering&milestone_title=FY24-Q1&not%5Blabel_name%5D%5B%5D=group%3A%3A%2a&first_page_size=20&_gl=1*15rs6ld*_ga*NzEwNDQwOTY3LjE2MDI3NzgyMTc.*_ga_ENFH3X7M5Y*MTY4MzA0ODkxNS43MTcuMS4xNjgzMDQ5MDUyLjAuMC4w).

#### Drafting OKRs using GitLab

Guidance is available, including a video guide, on [how to use GitLab for OKRs](https://about.gitlab.com/company/okrs/#how-to-use-gitlab-for-okrs).

GitLab currently offers some freedom in how to structure OKR hierarchies. We take the following approach in Plan:

* EMs are encouraged to create group-level KRs under stage-level Objectives directly, without creating their own OKR structure.
* Group KRs and Stage Objectives should ladder into a higher Objective, which can exist anywhere in the organization. In the development of OKRs a stage-level Objective laddered directly into a CEO KR.
* They should be created or added as **child objectives and key results** of their parent so that progress roll-ups are visible.
* Product development goals are established in milestone planning, following the regular [Product Development Flow](https://about.gitlab.com/handbook/product-development-flow/), and not in OKRs.

Doing this ensures the hierarchy will be as simple, consistent and shallow as possible. This improves navigability and visibility, as we currently don't have good hierarchy visualization for OKRs.

An example of a valid single OKR hierarchy is:

```mermaid
flowchart TD
    A[Plan Objective] --> B(Project Management KR)
    A --> C[Product Planning KR]
    A --> D[Optimize KR]
    A --> E[Knowledge KR]
    A --> K[Principal Engineer KR]
    A --> L[SEM KR]
```

Ownership is indicated using labels and assignee(s). The label indicates the group and/or stage, assignee the DRI.

OKRs should have the following labels:
* Group, Stage, and Section (as appropriate).
* Division (~"Division::Engineering") to distinguish from other functions.
* updates::[weekly, semi-monthly, monthly] depending on how often the OKR is expected to be updated by the DRI.

### Retrospectives

The Plan stage conducts [monthly retrospectives asynchronously using GitLab issues][retros]. Monthly retrospectives are performed in a Confidential Issue made Public upon Close. Confidentiality of these Issues while Open aligns with [GitLab SAFE Framework](https://about.gitlab.com/handbook/legal/safe-framework/).

The Plan Stage team encourages the use of Internal Notes as well to further adhere to SAFE Guidelines. Internal notes remain confidential to participants of the retrospective even after the issue is made public, including Guest users of the parent group. Dogfooding this feature aligns with an FY23 Q4 OKR of improving the GitLab Product development flow by driving the adoption of Plan features.

Examples of information that should remain Confidential per SAFE guidelines are any company confidential information that is not public, any data that reveals information not generally known or not available externally which may be considered sensitive information, and material non-public information.

The retrospective issue is created by a scheduled pipeline in the
[async-retrospectives] project. It is then updated once the milestone
is complete with shipped and missed deliverables. For more information on how
it works, see that project's README.

An EM from the Plan stage is assigned to each retrospective on a rotational
basis as the DRI for conducting and concluding the retrospective, along with
summary and corrective actions. The rotation for upcoming milestones is as follows:

| Milestone | DRI |
|---   | ---       |
| 16.1 | Brandon Labuschagne |
| 16.2 | Donald Cook |
| 16.3 | Kushal Pandya |
| 16.4 | John Hope |

The role of the DRI is to facilitate a psychologically safe environment where team-members
feel empowered to give feedback with candour. As such they should refrain from participating
directly. Instead they should publicise, conclude and make improvements to the retrospective
process itself.

#### Timeline

* **27th (Previous Month)** A retrospective issue is automatically created for the milestone in progress.
* **18th** The milestone is **closed** and open issues in the build phase are labelled with ~"missed deliverable".
* **21st** The issue description is automatically updated with shipped and missed deliverables and the team are tagged to add feedback.
* **4th (Next Month)** A final reminder is created automatically in #s_plan for final feedback.
* **5th (Next Month)** The DRI [concludes the retrospective](#concluding-the-retrospective).

#### Dogfooding Value Stream Analytics (VSA) in the Milestone Retrospective

To improve the retrospective data-driven experience, we are [dogfooding](https://about.gitlab.com/handbook/engineering/development/principles/#dogfooding) VSA to simplify the [data collection for the retrospective](https://gitlab.com/gitlab-org/plan/-/issues/753). This been done by automatically adding a link to the VSA of the current milestone filtered by group/stage to the retrospective.
With Value stream analytics (VSA) our team is getting visibility to the [lifecycle metrics](https://docs.gitlab.com/ee/user/group/value_stream_analytics/#lifecycle-metrics) of each milestone through the breakdown of the [end-to-end workflow into stages](https://docs.gitlab.com/ee/user/group/value_stream_analytics/#value-stream-stages). This allows us to identify bottlenecks and take action to [optimize actual flow of work](https://about.gitlab.com/blog/2023/06/26/three-steps-to-optimize-software-value-streams/).

For example, for the review phase, we are using VSA to count the [time between "workflow::in review" and "MR merged"](https://gitlab.com/groups/gitlab-org/-/analytics/value_stream_analytics?created_after=2023-03-01&created_before=2023-04-29&project_ids[]=278964&label_name[]=devops%3A%3Aplan&value_stream_id=779&stage_id=17092&sort=duration&direction=desc&page=1). With this data, we can identify:
   - MRs that were bottlenecked due to limited reviewers/maintainers capacity.
   - Types of work that move slower than other types.
   - Whether long review time originates from `same-team MR reviews` or `out-of-team MR reviews`.

Please leave your feedback in [this issue](https://gitlab.com/gitlab-org/plan/-/issues/759).

#### Concluding the Retrospective

The DRI is responsible for completing the following actions:
* Adding a comment to the retrospective issue summarizing actionable discussion items and suggesting corrective actions.
* Finding a DRI for each corrective action. Creating an issue in `gl-retrospectives/plan` for each is optional, but doing so and adding the ~"follow-up" label will ensure they're included automatically in the next retrospective.
* Recording a short summary video and sharing in #s_plan. This can be discussed in the next weekly team call and can be added to the Plan Stage playlist on Youtube so that it shows up on team pages.
* Closing the issue and making it public.

[async-retrospectives]: https://gitlab.com/gitlab-org/async-retrospectives
[retros]: https://gitlab.com/gl-retrospectives/plan/issues?scope=all&utf8=%E2%9C%93&state=all&label_name[]=retrospective

In both the summary comment and video the DRI should be particularly careful to ensure all information disclosed is [SAFE](https://about.gitlab.com/handbook/legal/safe-framework/). If the retrospective discussion contains examples of unSAFE information, the issue should not be made public.


### Plan Weekly Digest

#### Background

There are many company, team, process (and other) updates that are important to communicate to team members so that they are not missed. Besides that, there is other information important for day-to-day work. In Plan we use async Weekly updates, called Plan Weekly digest, to communicate these to our team members.

The Engineering Managers in the Plan stage alternate each week as the DRIs. There are 4 groups in the Plan stage, and one SEM, so every EM is the DRI roughly once / 5 weeks.

#### Process

1. A new confidential issue is created every **Monday, 8 UTC**. (automatically)
1. The issue is assigned to all Plan Engineering Managers.
1. The EM **responsible** for the content of the issue can be found in the schedule below but all other EMs can contribute to the issue as well.
1. On **Saturday, 8 UTC** all team members are alerted on the issue via a comment (automatically).
1. On Friday, 8 UTC (next week) the issue is closed.

#### DRIs

| Issue creation (auto) | DRI |
|---   | ---       |
| 2023-05-29 | John Hope |
| 2023-06-05 | Donald Cook |
| 2023-06-12 | Brandon Labuschagne |
| 2023-06-19 | Kushal Pandya |
| 2023-06-26 | John Hope |
| 2023-07-03 | Donald Cook |
| 2023-07-10 | Brandon Labuschagne |
| 2023-07-17 | Kushal Pandya |
| 2023-07-24 | John Hope |
| 2023-07-31 | Donald Cook |
| 2023-08-07 | Brandon Labuschagne |
| 2023-08-14 | Kushal Pandya |

#### Links

- [Current Weekly Digests](https://gitlab.com/gitlab-org/plan/-/issues/?sort=updated_desc&state=opened&label_name%5B%5D=weekly%20update&first_page_size=20)
- [Closed Weekly Digests](https://gitlab.com/gitlab-org/plan/-/issues/?sort=updated_desc&state=closed&label_name%5B%5D=weekly%20update&first_page_size=20)
- [Issue Template](https://gitlab.com/gitlab-org/plan/-/blob/master/.gitlab/issue_templates/plan-weekly-digest.md)

### Meetings

Most of our group meetings are recorded and publicly available on
YouTube in the [Plan group playlist][youtube].

<iframe width="560" height="315" src="https://www.youtube.com/embed/videoseries?list=PL05JrBw4t0KoceqcTneOVmAzhEp6NinY0" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>

[youtube]: https://www.youtube.com/playlist?list=PL05JrBw4t0KoceqcTneOVmAzhEp6NinY0
#### Weekly group meeting

We hold a weekly team meeting where all team members across all functions are invited. We currently alternate the meeting time each week to be inclusive of our distributed team. The meeting is either EMEA (+Eastern US) friendly or APAC (+Western US) friendly. Regardless of the timezone we always record each meeting and post it to our youtube playlist.

The [agenda] follows this format:

1. Team updates: new hires, transfers, promotions, people leaving, etc.
1. Big-picture updates: these are typically either forward-facing
(vision statements), or backwards-looking (how a feature impacted
users, sales, etc.).
1. Issue-specific discussion and demos: any issues that people want to
share with the wider group, that can't be handled using our normal
asynchronous workflow.
1. Workflow: how we improve how we work together in future (including
updating this page).
1. Anything else.

If there are no agenda items eight hours prior to the call, the call will become an optional stage-wide social call where we have a group coffee chat, play games or lighting talk. Anyone can propose an activity.

[agenda]: https://docs.google.com/document/d/1cbsjyq9XAt9UYLIxDq5BYFk47VA5aaTeHfkY2dttqfk/edit

#### Links / References
- `~group::project management`
  - [Board](https://gitlab.com/groups/gitlab-org/-/boards/1285239)
  - [Roadmap](https://gitlab.com/groups/gitlab-org/-/roadmap?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=devops%3A%3Aplan&label_name[]=group%3A%3Aproject%20management)
- `~group::product planning`
  - [Board](https://gitlab.com/groups/gitlab-org/-/boards/1569369?not[milestone_title]=Backlog)
  - [Roadmap](https://gitlab.com/groups/gitlab-org/-/roadmap?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=devops%3A%3Aplan&label_name[]=group%3A%3Aproduct+planning)
- `~group::optimize`
  - [Board](https://gitlab.com/groups/gitlab-org/-/boards/1401511)
  - [Roadmap](https://gitlab.com/groups/gitlab-org/-/roadmap?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=devops%3A%3Aplan&label_name[]=group%3A%3Aoptimize)
- `~group::knowledge`
  - [Board](https://gitlab.com/groups/gitlab-org/-/boards/5454834)
  - [Roadmap](https://gitlab.com/groups/gitlab-org/-/roadmap?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=devops%3A%3Aplan&label_name[]=group%3A%3Aknowledge)


### Team Process

Each group within the Plan stage follows GitLab's [product development flow](https://about.gitlab.com/handbook/product-development-flow/) and [process](https://about.gitlab.com/handbook/product/product-processes/). This allows for consistency across the stage, enables us to align with other stages and stable-counterparts, and enables us to clearly understand our throughput and velocity. We're currently focused on strictly following the process stated in the handbook, as opposed to creating our own local optimizations.

In some cases we need to dogfood a new Plan feature that may adjust our adherence to the GitLab's process. If that happens we assign a DRI responsible for setting the objective, reporting on the outcomes and facilitating feedback to ensure we prioritize improvements to our own product. This ensures we're not making a change for the sake of making changes, and gives us clarity into our own evaluation of a change to the product.
In some cases we need to dogfood a new Plan feature that may adjust our adherence to the GitLab's process. If that happens we assign a DRI responsible for setting the objective, reporting on the outcomes and facilitating feedback to ensure we prioritize improvements to our own product. This ensures we're not making a change for the sake of making changes, and gives us clarity into our own evaluation of a change to the product.

There are a couple of process-related improvements we'll continue to adopt:

- **Iterations:** We've recently started organizing the prioritized work in a given milestone into weekly iterations. This doesn't change any of the canonical process, and allows us to break a months worth of work into sizeable timeboxes. Intended outcome: Dogfood iterations (the feature), improve velocity and give more granular visibility into the progress of issues. DRI: @donaldcook

### Product Outreach

There can be a gap in understanding between Engineering and Product on a team. We are experimenting with a pilot programme that will allow engineers to spend time in the world of Product, with the goal of greater mutual communication, understanding and collaboration. It helps us work more effectively as a team for better features.

#### Product Shadowing schedule

Engineering team-members can shadow a product stable-counterpart. Shadowing sessions last two working days, or the equivalent split over multiple days to maximize experience with different functions of the role. In particular, the session should include at least one customer call. To shadow a counterpart on the team:

1. Create an issue in the [plan](https://gitlab.com/gitlab-org/plan) project tracker using the `Product-Shadowing` template;
1. Create a WIP MR to this page to update the table below, adding your name and issue link, and
1. When your counterpart is assigned to the issue, add their name, remove WIP status and assign to your manager for review.

| Month | Engineering counterpart | Product counterpart | Issue link |
| ----- | ----------------------- | ------------------- | ---------- |
| 2020-07 | Charlie Ablett ([@cablett](https://gitlab.com/cablett)) | Keanon O'Keefe ([@kokeefe](https://gitlab.com/kokeefe)) | [gitlab-org/plan#118](https://gitlab.com/gitlab-org/plan/-/issues/118) |
| 2020-10 | Jan Provaznik ([@jprovaznik](https://gitlab.com/jprovaznik)) | Gabe Weaver ([@gweaver](https://gitlab.com/gweaver)) | [gitlab-org/plan#185](https://gitlab.com/gitlab-org/plan/-/issues/185) |

### Speed Runs

- Labels
    - [Scoped Labels](https://youtu.be/ebyCiKMFODg)
- Issues
    - [Description Change History](https://youtu.be/-JgfJSSLYlI)
- Epics
    - [Organize sub-Epics with the Epic Tree](https://youtu.be/TzRCan5ki6o)
- Requirements Management
    - [Requirements MVC](https://youtu.be/uSS7oUNSEoU)
    - [Satisfy Requirements from CI Pipeline](https://youtu.be/4m1mSEb2ywU)

### Engineering Scaling Targets

<%= partial("handbook/engineering/development/dev/plan/scalability_targets") %>

### Metrics

#### Plan xMAU

- [Project Management Performance Indicators](https://about.gitlab.com/handbook/product/performance-indicators/), [Issue Interactions Dashboard](https://app.periscopedata.com/app/gitlab/775807/Plan-xMAU-(monthly))
- [Product Planning Performance Indicators](https://about.gitlab.com/handbook/product/performance-indicators/)
